/* 
* PwmScale.h
*
* Created: 11/13/2014 10:49:01 AM
* Author: Tim
*/

#pragma once

const int PWM_CLOCK_ADJ = -40;

const int PWM_ZERO_PULSE = 1500 + PWM_CLOCK_ADJ;	// microseconds
const int PWM_MIN_PULSE = 1000 + PWM_CLOCK_ADJ;		// microseconds
const int PWM_MAX_PULSE = 2000 + PWM_CLOCK_ADJ;		// microseconds
const int PWM_PULSE_RANGE = PWM_MAX_PULSE - PWM_ZERO_PULSE;
const int PWM_CALC_SCALE = 10;		// bits

class PwmScale
{
public:
	int Scale(int iVal);
	void ComputeScale(WORD wVal);

public:
	WORD	m_offset;
	WORD	m_scale;
}; //PwmScale
