#ifndef _AID_SUPERHEADER_DEFINED_

#ifndef _BYTE_STRUCT_DEFINED_
typedef struct
{
	unsigned char bit0 : 1;
	unsigned char bit1 : 1;
	unsigned char bit2 : 1;
	unsigned char bit3 : 1;
	unsigned char bit4 : 1;
	unsigned char bit5 : 1;
	unsigned char bit6 : 1;
	unsigned char bit7 : 1;
} BYTE_STRUCT;
#define _BYTE_STRUCT_DEFINED_
#endif /* _BYTE_STRUCT_DEFINED_ */

#ifndef PIN_DIR_IN 
#define PIN_DIR_IN  0
#endif

#ifndef PIN_DIR_OUT
#define PIN_DIR_OUT 1
#endif

#if defined (__AVR_AT90CAN32__)
#  include "AT90CAN32.h"
#elif defined (__AVR_AT90CAN64__)
#  include "AT90CAN64.h"
#elif defined (__AVR_AT90CAN128__)
#  include "AT90CAN128.h"
#elif defined (__AVR_AT90PWM2__)
#  include "AT90PWM2.h"
#elif defined (__AVR_AT90PWM2B__)
#  include "AT90PWM2B.h"
#elif defined (__AVR_AT90PWM3__)
#  include "AT90PWM3.h"
#elif defined (__AVR_AT90PWM3B__)
#  include "AT90PWM3B.h"
#elif defined (__AVR_AT90PWM216__)
#  include "AT90PWM216.h"
#elif defined (__AVR_AT90PWM316__)
#  include "AT90PWM316.h"
#elif defined (__AVR_AT90S2313__)
#  include "AT90S2313.h"
#elif defined (__AVR_AT90S2323__)
#  include "AT90S2323.h"
#elif defined (__AVR_AT90S2343__)
#  include "AT90S2343.h"
#elif defined (__AVR_AT90S4414__)
#  include "AT90S4414.h"
#elif defined (__AVR_AT90S4433__)
#  include "AT90S4433.h"
#elif defined (__AVR_AT90S4434__)
#  include "AT90S4434.h"
#elif defined (__AVR_AT90S8515__)
#  include "AT90S8515.h"
#elif defined (__AVR_AT90S8535__)
#  include "AT90S8535.h"
#elif defined (__AVR_AT90USB82__)
#  include "AT90USB82.h"
#elif defined (__AVR_AT90USB162__)
#  include "AT90USB162.h"
#elif defined (__AVR_AT90USB646__)
#  include "AT90USB646.h"
#elif defined (__AVR_AT90USB647__)
#  include "AT90USB647.h"
#elif defined (__AVR_AT90USB1286__)
#  include "AT90USB1286.h"
#elif defined (__AVR_AT90USB1287__)
#  include "AT90USB1287.h"
#elif defined (__AVR_ATmega8__)
#  include "ATmega8.h"
#elif defined (__AVR_ATmega16__)
#  include "ATmega16.h"
#elif defined (__AVR_ATmega32__)
#  include "ATmega32.h"
#elif defined (__AVR_ATmega48__)
#  include "ATmega48.h"
#elif defined (__AVR_ATmega48P__)
#  include "ATmega48P.h"
#elif defined (__AVR_ATmega64__)
#  include "ATmega64.h"
#elif defined (__AVR_ATmega88__)
#  include "ATmega88.h"
#elif defined (__AVR_ATmega88P__)
#  include "ATmega88P.h"
#elif defined (__AVR_ATmega103__)
#  include "ATmega103.h"
#elif defined (__AVR_ATmega128__)
#  include "ATmega128.h"
#elif defined (__AVR_ATmega161__)
#  include "ATmega161.h"
#elif defined (__AVR_ATmega162__)
#  include "ATmega162.h"
#elif defined (__AVR_ATmega163__)
#  include "ATmega163.h"
#elif defined (__AVR_ATmega164P__)
#  include "ATmega164P.h"
#elif defined (__AVR_ATmega165__)
#  include "ATmega165.h"
#elif defined (__AVR_ATmega165P__)
#  include "ATmega165P.h"
#elif defined (__AVR_ATmega168__)
#  include "ATmega168.h"
#elif defined (__AVR_ATmega168P__)
#  include "ATmega168P.h"
#elif defined (__AVR_ATmega169__)
#  include "ATmega169.h"
#elif defined (__AVR_ATmega169P__)
#  include "ATmega169P.h"
#elif defined (__AVR_ATmega323__)
#  include "ATmega323.h"
#elif defined (__AVR_ATmega324P__)
#  include "ATmega324P.h"
#elif defined (__AVR_ATmega325__)
#  include "ATmega325.h"
#elif defined (__AVR_ATmega325P__)
#  include "ATmega325P.h"
#elif defined (__AVR_ATmega328P__)
#  include "ATmega328P.h"
#elif defined (__AVR_ATmega329__)
#  include "ATmega329.h"
#elif defined (__AVR_ATmega329P__)
#  include "ATmega329P.h"
#elif defined (__AVR_ATmega406__)
#  include "ATmega406.h"
#elif defined (__AVR_ATmega640__)
#  include "ATmega640.h"
#elif defined (__AVR_ATmega644__)
#  include "ATmega644.h"
#elif defined (__AVR_ATmega644P__)
#  include "ATmega644P.h"
#elif defined (__AVR_ATmega645__)
#  include "ATmega645.h"
#elif defined (__AVR_ATmega649__)
#  include "ATmega649.h"
#elif defined (__AVR_ATmega1280__)
#  include "ATmega1280.h"
#elif defined (__AVR_ATmega1281__)
#  include "ATmega1281.h"
#elif defined (__AVR_ATmega2560__)
#  include "ATmega2560.h"
#elif defined (__AVR_ATmega2561__)
#  include "ATmega2561.h"
#elif defined (__AVR_ATmega3250__)
#  include "ATmega3250.h"
#elif defined (__AVR_ATmega3250P__)
#  include "ATmega3250P.h"
#elif defined (__AVR_ATmega3290__)
#  include "ATmega3290.h"
#elif defined (__AVR_ATmega3290P__)
#  include "ATmega3290P.h"
#elif defined (__AVR_ATmega6450__)
#  include "ATmega6450.h"
#elif defined (__AVR_ATmega6490__)
#  include "ATmega6490.h"
#elif defined (__AVR_ATmega8515__)
#  include "ATmega8515.h"
#elif defined (__AVR_ATmega8535__)
#  include "ATmega8535.h"
#elif defined (__AVR_ATtiny13__)
#  include "ATtiny13.h"
#elif defined (__AVR_ATtiny22__)
#  include "ATtiny22.h"
#elif defined (__AVR_ATtiny24__)
#  include "ATtiny24.h"
#elif defined (__AVR_ATtiny25__)
#  include "ATtiny25.h"
#elif defined (__AVR_ATtiny26__)
#  include "ATtiny26.h"
#elif defined (__AVR_ATtiny44__)
#  include "ATtiny44.h"
#elif defined (__AVR_ATtiny45__)
#  include "ATtiny45.h"
#elif defined (__AVR_ATtiny84__)
#  include "ATtiny84.h"
#elif defined (__AVR_ATtiny85__)
#  include "ATtiny85.h"
#elif defined (__AVR_ATtiny261__)
#  include "ATtiny261.h"
#elif defined (__AVR_ATtiny461__)
#  include "ATtiny461.h"
#elif defined (__AVR_ATtiny861__)
#  include "ATtiny861.h"
#elif defined (__AVR_ATtiny2313__)
#  include "ATtiny2313.h"
#else
#    warning "device type not defined"
#endif
#define _AID_SUPERHEADER_DEFINED_
#endif /* _AID_SUPERHEADER_DEFINED_ */
